Loading...
Searching...
No Matches
Catch::Clara::Detail::BoundFlagRef Struct Reference

`#include <catch_amalgamated.hpp>`

Inheritance diagram for Catch::Clara::Detail::BoundFlagRef:
[legend]
Collaboration diagram for Catch::Clara::Detail::BoundFlagRef:
[legend]

## Public Member Functions

| BoundFlagRef (bool &ref)
ParserResult | setFlag (bool flag) override
Public Member Functions inherited from Catch::Clara::Detail::BoundFlagRefBase
bool | isFlag () const override
Public Member Functions inherited from Catch::Clara::Detail::BoundRef
virtual | ~BoundRef ()=default
virtual bool | isContainer () const

## Public Attributes

bool & | m_ref

## Additional Inherited Members

Protected Member Functions inherited from Catch::Detail::NonCopyable
| NonCopyable () noexcept=default

## Constructor & Destructor Documentation

## BoundFlagRef()

Catch::Clara::Detail::BoundFlagRef::BoundFlagRef | ( | bool & | ref | ) |

inlineexplicit

## Member Function Documentation

## setFlag()

ParserResult Catch::Clara::Detail::BoundFlagRef::setFlag | ( | bool | flag | ) |

overridevirtual

Implements Catch::Clara::Detail::BoundFlagRefBase.

Here is the call graph for this function:

## Member Data Documentation

## m_ref

bool& Catch::Clara::Detail::BoundFlagRef::m_ref

The documentation for this struct was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp